#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private ABTrading.ABTriplePlay[] cacheABTriplePlay;

		
		public ABTrading.ABTriplePlay ABTriplePlay(string tradeStartTimeSerialize, string freezeLevelsAtTimeSerialize)
		{
			return ABTriplePlay(Input, tradeStartTimeSerialize, freezeLevelsAtTimeSerialize);
		}


		
		public ABTrading.ABTriplePlay ABTriplePlay(ISeries<double> input, string tradeStartTimeSerialize, string freezeLevelsAtTimeSerialize)
		{
			if (cacheABTriplePlay != null)
				for (int idx = 0; idx < cacheABTriplePlay.Length; idx++)
					if (cacheABTriplePlay[idx].TradeStartTimeSerialize == tradeStartTimeSerialize && cacheABTriplePlay[idx].FreezeLevelsAtTimeSerialize == freezeLevelsAtTimeSerialize && cacheABTriplePlay[idx].EqualsInput(input))
						return cacheABTriplePlay[idx];
			return CacheIndicator<ABTrading.ABTriplePlay>(new ABTrading.ABTriplePlay(){ TradeStartTimeSerialize = tradeStartTimeSerialize, FreezeLevelsAtTimeSerialize = freezeLevelsAtTimeSerialize }, input, ref cacheABTriplePlay);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.ABTrading.ABTriplePlay ABTriplePlay(string tradeStartTimeSerialize, string freezeLevelsAtTimeSerialize)
		{
			return indicator.ABTriplePlay(Input, tradeStartTimeSerialize, freezeLevelsAtTimeSerialize);
		}


		
		public Indicators.ABTrading.ABTriplePlay ABTriplePlay(ISeries<double> input , string tradeStartTimeSerialize, string freezeLevelsAtTimeSerialize)
		{
			return indicator.ABTriplePlay(input, tradeStartTimeSerialize, freezeLevelsAtTimeSerialize);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.ABTrading.ABTriplePlay ABTriplePlay(string tradeStartTimeSerialize, string freezeLevelsAtTimeSerialize)
		{
			return indicator.ABTriplePlay(Input, tradeStartTimeSerialize, freezeLevelsAtTimeSerialize);
		}


		
		public Indicators.ABTrading.ABTriplePlay ABTriplePlay(ISeries<double> input , string tradeStartTimeSerialize, string freezeLevelsAtTimeSerialize)
		{
			return indicator.ABTriplePlay(input, tradeStartTimeSerialize, freezeLevelsAtTimeSerialize);
		}

	}
}

#endregion
